r9587 - in trunk/BOOK: . bootscripts/lfs/init.d bootscripts/lfs/sysconfig chapter01

bdubbs at linuxfromscratch.org bdubbs at linuxfromscratch.org
Tue Aug 30 15:54:57 PDT 2011


Author: bdubbs
Date: 2011-08-30 16:54:52 -0600 (Tue, 30 Aug 2011)
New Revision: 9587

Modified:
   trunk/BOOK/bootscripts/lfs/init.d/cleanfs
   trunk/BOOK/bootscripts/lfs/init.d/mountfs
   trunk/BOOK/bootscripts/lfs/sysconfig/createfiles
   trunk/BOOK/chapter01/changelog.xml
   trunk/BOOK/chapter01/whatsnew.xml
   trunk/BOOK/general.ent
   trunk/BOOK/packages.ent
Log:
Update to linux-3.0.4 and util-linux-2.20.
Fix minor bootscript problems.


Modified: trunk/BOOK/bootscripts/lfs/init.d/cleanfs
===================================================================
--- trunk/BOOK/bootscripts/lfs/init.d/cleanfs	2011-08-14 22:33:55 UTC (rev 9586)
+++ trunk/BOOK/bootscripts/lfs/init.d/cleanfs	2011-08-30 22:54:52 UTC (rev 9587)
@@ -30,87 +30,87 @@
 
 # Function to create files/directory on boot.
 create_files() {
-	# Read in the configuration file.
-	exec 9>&0 < /etc/sysconfig/createfiles
-		while read name type perm usr grp dtype maj min junk
-		do
-			# Ignore comments and blank lines.
-       			case "${name}" in
-				""|\#*) continue ;;
-			esac
+   # Read in the configuration file.
+   exec 9>&0 < /etc/sysconfig/createfiles
+      while read name type perm usr grp dtype maj min junk
+      do
+         # Ignore comments and blank lines.
+               case "${name}" in
+            ""|\#*) continue ;;
+         esac
 
-			# Ignore existing files.
-			if [ ! -e "${name}" ]; then
-				# Create stuff based on its type.
-				case "${type}" in
-					dir)
-						mkdir "${name}"
-						;;
-					file)
-						:> "${name}"
-						;;
-					dev)
-						case "${dtype}" in
-							char)
-								mknod "${name}" c ${maj} ${min}
-								;;
-							block)
-								mknod "${name}" b ${maj} ${min}
-								;;
-							pipe)
-								mknod "${name}" p
-								;;
-							*) 
-								boot_mesg -n "\nUnknown device type: ${dtype}" ${WARNING}
-								boot_mesg "" ${NORMAL}
-								;;
-						esac
-						;;
-					*)
-						boot_mesg -n "\nUnknown type: ${type}" ${WARNING}
-						boot_mesg "" ${NORMAL}
-						continue
-						;;
-				esac
+         # Ignore existing files.
+         if [ ! -e "${name}" ]; then
+            # Create stuff based on its type.
+            case "${type}" in
+               dir)
+                  mkdir "${name}"
+                  ;;
+               file)
+                  :> "${name}"
+                  ;;
+               dev)
+                  case "${dtype}" in
+                     char)
+                        mknod "${name}" c ${maj} ${min}
+                        ;;
+                     block)
+                        mknod "${name}" b ${maj} ${min}
+                        ;;
+                     pipe)
+                        mknod "${name}" p
+                        ;;
+                     *) 
+                        boot_mesg -n "\nUnknown device type: ${dtype}" ${WARNING}
+                        boot_mesg "" ${NORMAL}
+                        ;;
+                  esac
+                  ;;
+               *)
+                  boot_mesg -n "\nUnknown type: ${type}" ${WARNING}
+                  boot_mesg "" ${NORMAL}
+                  continue
+                  ;;
+            esac
 
-				# Set up the permissions, too.
-				chown ${usr}:${grp} "${name}"
-				chmod ${perm} "${name}"
-			fi
-		done
-	exec 0>&9 9>&-
+            # Set up the permissions, too.
+            chown ${usr}:${grp} "${name}"
+            chmod ${perm} "${name}"
+         fi
+      done
+   exec 0>&9 9>&-
 }
 
 case "${1}" in
-	start)
-		boot_mesg -n "Cleaning file systems:" ${INFO}
+   start)
+      boot_mesg -n "Cleaning file systems:" ${INFO}
 
       if [ "${SKIPTMPCLEAN}" = "" ]; then
-		   boot_mesg -n " /tmp" ${NORMAL}
-		   cd /tmp &&
-		   find . -xdev -mindepth 1 ! -name lost+found -delete || failed=1
+         boot_mesg -n " /tmp" ${NORMAL}
+         cd /tmp &&
+         find . -xdev -mindepth 1 ! -name lost+found -delete || failed=1
       fi
 
-		> /var/run/utmp
+      > /var/run/utmp
 
-		if grep -q '^utmp:' /etc/group ; then
-			chmod 664 /var/run/utmp
-			chgrp utmp /var/run/utmp
-		fi
+      if grep -q '^utmp:' /etc/group ; then
+         chmod 664 /var/run/utmp
+         chgrp utmp /var/run/utmp
+      fi
 
-		(exit ${failed})
-		evaluate_retval
+      (exit ${failed})
+      evaluate_retval
 
-		if egrep -qv '^(#|$)' /etc/sysconfig/createfiles 2>/dev/null; then
-			boot_mesg "Creating files and directories..."
-			create_files
-			evaluate_retval
-		fi
-		;;
-	*)
-		echo "Usage: ${0} {start}"
-		exit 1
-		;;
+      if egrep -qv '^(#|$)' /etc/sysconfig/createfiles 2>/dev/null; then
+         boot_mesg "Creating files and directories..."
+         create_files
+         evaluate_retval
+      fi
+      ;;
+   *)
+      echo "Usage: ${0} {start}"
+      exit 1
+      ;;
 esac
 
 # End cleanfs

Modified: trunk/BOOK/bootscripts/lfs/init.d/mountfs
===================================================================
--- trunk/BOOK/bootscripts/lfs/init.d/mountfs	2011-08-14 22:33:55 UTC (rev 9586)
+++ trunk/BOOK/bootscripts/lfs/init.d/mountfs	2011-08-30 22:54:52 UTC (rev 9587)
@@ -57,7 +57,7 @@
 
    stop)
       boot_mesg "Unmounting all other currently mounted file systems..."
-      umount -a -d -r >/dev/null
+      umount -a -d -r -t notmpfs >/dev/null
       evaluate_retval
       ;;
 

Modified: trunk/BOOK/bootscripts/lfs/sysconfig/createfiles
===================================================================
--- trunk/BOOK/bootscripts/lfs/sysconfig/createfiles	2011-08-14 22:33:55 UTC (rev 9586)
+++ trunk/BOOK/bootscripts/lfs/sysconfig/createfiles	2011-08-30 22:54:52 UTC (rev 9587)
@@ -8,21 +8,21 @@
 # Version     : 00.00
 #
 # Notes       : The syntax of this file is as follows:
-# 		if type is equal to "file" or "dir"
-#  		<filename> <type> <permissions> <user> <group>
-# 		if type is equal to "dev"
-#  		<filename> <type> <permissions> <user> <group> <devtype> <major> <minor>
+#     if type is equal to "file" or "dir"
+#        <filename> <type> <permissions> <user> <group>
+#     if type is equal to "dev"
+#        <filename> <type> <permissions> <user> <group> <devtype> <major> <minor>
 #
-# 		<filename> is the name of the file which is to be created
-# 		<type> is either file, dir, or dev.
-#   			file creates a new file
-#   			dir creates a new directory
-#   			dev creates a new device
-# 		<devtype> is either block, char or pipe
-#   			block creates a block device
-#   			char creates a character deivce
-#   			pipe creates a pipe, this will ignore the <major> and <minor> fields
-# 		<major> and <minor> are the major and minor numbers used for the device.
+#     <filename> is the name of the file which is to be created
+#     <type> is either file, dir, or dev.
+#           file creates a new file
+#           dir creates a new directory
+#           dev creates a new device
+#     <devtype> is either block, char or pipe
+#           block creates a block device
+#           char creates a character deivce
+#           pipe creates a pipe, this will ignore the <major> and <minor> fields
+#     <major> and <minor> are the major and minor numbers used for the device.
 ########################################################################
 
 # End /etc/sysconfig/createfiles

Modified: trunk/BOOK/chapter01/changelog.xml
===================================================================
--- trunk/BOOK/chapter01/changelog.xml	2011-08-14 22:33:55 UTC (rev 9586)
+++ trunk/BOOK/chapter01/changelog.xml	2011-08-30 22:54:52 UTC (rev 9587)
@@ -37,6 +37,25 @@
 
 -->
     <listitem>
+      <para>2011-08-29</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-3.0.4. Fixes 
+          <ulink url="&lfs-ticket-root;2914">#2914</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.20. Fixes 
+          <ulink url="&lfs-ticket-root;2915">#2915</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Fix shutdown problem in bootscripts.  
+          Replace tab characters with spaces.
+          </para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2011-08-14</para>
       <itemizedlist>
         <listitem>

Modified: trunk/BOOK/chapter01/whatsnew.xml
===================================================================
--- trunk/BOOK/chapter01/whatsnew.xml	2011-08-14 22:33:55 UTC (rev 9586)
+++ trunk/BOOK/chapter01/whatsnew.xml	2011-08-30 22:54:52 UTC (rev 9587)
@@ -205,9 +205,9 @@
     <!--<listitem>
       <para>&udev-config;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Util-Linux &util-linux-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Vim &vim-version;</para>
     </listitem>-->

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2011-08-14 22:33:55 UTC (rev 9586)
+++ trunk/BOOK/general.ent	2011-08-30 22:54:52 UTC (rev 9587)
@@ -1,5 +1,5 @@
-<!ENTITY version "SVN-20110814">
-<!ENTITY releasedate "Aug 14, 2011">
+<!ENTITY version "SVN-20110830">
+<!ENTITY releasedate "Aug 30, 2011">
 <!ENTITY copyrightdate "1999-2011"><!-- jhalfs needs a literal dash, not – -->
 <!ENTITY milestone "7.0">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->

Modified: trunk/BOOK/packages.ent
===================================================================
--- trunk/BOOK/packages.ent	2011-08-14 22:33:55 UTC (rev 9586)
+++ trunk/BOOK/packages.ent	2011-08-30 22:54:52 UTC (rev 9587)
@@ -297,7 +297,7 @@
 <!ENTITY less-ch6-du "3.5 MB">
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20110803">                 <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20110830">                 <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
 <!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">           <!-- Updated in Makefile -->
@@ -323,19 +323,19 @@
 
 <!ENTITY linux-major-version "3">
 <!ENTITY linux-minor-version "0">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "4">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "74,955 KB">
+<!ENTITY linux-size "74,961 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.bz2">
-<!ENTITY linux-md5 "aed949984b878b7fb77ffe9cbee8ce0c">
+<!ENTITY linux-md5 "dff86c657cabe813bda84c72bfb93ae8">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!ENTITY linux-ch8-du "540 - 800 MB">
 <!ENTITY linux-ch8-sbu "1.0 - 5.0 SBU">
 
-<!ENTITY linux-headers-ch5-du "510 MB">
+<!ENTITY linux-headers-ch5-du "511 MB">
 <!ENTITY linux-headers-ch5-sbu "0.1 SBU">
-<!ENTITY linux-headers-ch6-du "514 MB">
+<!ENTITY linux-headers-ch6-du "515 MB">
 <!ENTITY linux-headers-ch6-sbu "0.1 SBU">
 
 <!ENTITY m4-version "1.4.16">
@@ -557,15 +557,15 @@
 <!ENTITY udev-config-md5 "UDEV-MD5SUM">      <!-- Updated in Makefile -->
 <!ENTITY udev-config-home " ">
 
-<!ENTITY util-linux-version "2.19.1">
-<!ENTITY util-linux-size "4,294 KB">
-<!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v2.19/util-linux-&util-linux-version;.tar.bz2">
-<!ENTITY util-linux-md5 "3eab06f05163dfa65479c44e5231932c">
+<!ENTITY util-linux-version "2.20">
+<!ENTITY util-linux-size "4,507 KB">
+<!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v2.20/util-linux-&util-linux-version;.tar.bz2">
+<!ENTITY util-linux-md5 "4dcacdbdafa116635e52b977d9d0e879">
 <!ENTITY util-linux-home "http://userweb.kernel.org/~kzak/util-linux/">
 <!--<!ENTITY util-linux-ch5-du "19 MB">-->
 <!--<!ENTITY util-linux-ch5-sbu "0.1 SBU">-->
-<!ENTITY util-linux-ch6-du "50 MB">
-<!ENTITY util-linux-ch6-sbu "0.6 SBU">
+<!ENTITY util-linux-ch6-du "69 MB">
+<!ENTITY util-linux-ch6-sbu "0.7 SBU">
 
 <!ENTITY vim-version "7.3">
 <!ENTITY vim-docdir "vim/vim73">




More information about the lfs-book mailing list